class Management::ComplaintsReasonsController < ManagementController

  before_action :set_complaint_reason, only: [:destroy, :update, :edit]

  def index
    @complaint_reasons = ComplaintReason.all
  end


  def new
    @complaint_reason = ComplaintReason.new
  end

  def create
    @complaint_reason = ComplaintReason.new(complaint_reason_params)

    respond_to do |format|
      if @complaint_reason.save
        format.html { redirect_to [:management, @complaint_reason], notice: 'Instituição criada com sucesso.' }
        format.json { render :show, status: :created, location: @complaint_reason }
      else
        format.html { render :new }
        format.json { render json: @complaint_reason.errors, status: :unprocessable_entity }
      end
    end
  end


  def destroy
    ComplaintReason.destroy @complaint_reason

    respond_to do |format|
      format.html { redirect_to :back, notice: 'Razão de denúncia excluída com sucesso.' }
    end

  end

  def edit
  end


  def update
    respond_to do |format|
      if @complaint_reason.update complaint_reason_params
        format.html { redirect_to [:management, @complaint_reason], notice: 'Instituição modificada com sucesso.' }
        format.json { render :show, status: :ok, location: @complaint_reason }
      else
        format.html { render :edit }
        format.json { render json: @complaint_reason.errors, status: :unprocessable_entity }
      end
    end
  end



  private

  def set_complaint_reason
    @complaint_reason = ComplaintReason.find params[:id]
  end

  def complaint_reason_params
    params.require(:complaint_reason).permit(:reason)
  end

end
